> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Reset the preferences for the given user.

# Reset Preferences

For the complete error reference, see [Error Guide](/rest-api/notifications-apis/error-codes).


## OpenAPI

````yaml delete /notifications/v1/preferences
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /notifications/v1/preferences:
    delete:
      tags:
        - Notifications
      summary: Reset Preferences
      description: Reset the preferences for the given user.
      operationId: notifications-push-reset-preferences
      parameters:
        - $ref: '#/components/parameters/requiredUID'
      responses:
        '200':
          description: A list of push notification's settings
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items: {}
                  meta:
                    type: object
                type: object
              example:
                data:
                  groupPreferences:
                    groupMessages: 2
                    groupReplies: 2
                    groupReactions: 2
                    groupMemberLeft: 1
                    groupMemberAdded: 1
                    groupMemberJoined: 1
                    groupMemberKicked: 1
                    groupMemberBanned: 1
                    groupMemberUnbanned: 1
                    groupMemberScopeChanged: 1
                  oneOnOnePreferences:
                    oneOnOneMessages: 2
                    oneOnOneReplies: 2
                    oneOnOneReactions: 2
                  mutePreferences:
                    dnd: 1
                    schedule:
                      sunday:
                        from: 0
                        to: 2359
                        dnd: false
                      monday:
                        from: 0
                        to: 2359
                        dnd: false
                      tuesday:
                        from: 0
                        to: 2359
                        dnd: false
                      wednesday:
                        from: 0
                        to: 2359
                        dnd: false
                      thursday:
                        from: 0
                        to: 2359
                        dnd: false
                      friday:
                        from: 0
                        to: 2359
                        dnd: false
                      saturday:
                        from: 0
                        to: 2359
                        dnd: false
                  usePrivacyTemplate: true
      security:
        - apiKey: []
components:
  parameters:
    requiredUID:
      name: uid
      in: query
      description: (Required) UID
      required: true
      schema:
        type: string
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````